## gst-plugins-base0.10 0.10.25-0maemo7+0m5

=== debian/changelog ===
gst-plugins-base0.10 (0.10.25-0maemo7+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Harri Mahonen <ext-harri.mahonen@nokia.com>  Thu, 26 Nov 2009 16:24:41 +0200

gst-plugins-base0.10 (0.10.25-0maemo7) unstable; urgency=low

  * playbin2: Fix possible problems when re-using sinks (e.g. MAFW).
  * baseaudiosink: Fix initial clock calibration value.
  * baseaudiosink: Fix time adjustment when slaving, fixing (permanent)
    audio dropout when re-using sinks after changing clock (when pausing
    stream).
  * Fixes: NB#135792 - rtsp audio streams cannot be resumed after pausing

 -- Rene Stadler <rene.stadler@nokia.com>  Wed, 25 Nov 2009 19:49:18 +0200

gst-plugins-base0.10 (0.10.25-0maemo6) unstable; urgency=low

  * baseaudiosrc: Fix startup position in ringbuffer.
  * Fixes: NB#145101 AV Sync: Audio lags the Video beyond 30 seconds for
    recorded videos

 -- Rene Stadler <rene.stadler@nokia.com>  Mon, 09 Nov 2009 13:24:16 +0200

gst-plugins-base0.10 (0.10.25-0maemo5) unstable; urgency=low

  * Workaround more filetypes causing problems when ID3-tagged.
  * Fixes: NB#142716 - Playback of the provided wma songs fails, 100% cpu
    load in mafw-gst-renderer

 -- Rene Stadler <rene.stadler@nokia.com>  Wed, 28 Oct 2009 11:30:58 +0200

gst-plugins-base0.10 (0.10.25-0maemo4) unstable; urgency=low

  * basertpaudiopayload: Fix frame size. Fixes iLBC mode 30 call
    regression.
  * Fixes: NB#142953 - N900 to PC ilbc gtalk voip call is broken
  * Fixes: NB#135559 - Poor speech quality in Google Talk

 -- Rene Stadler <rene.stadler@nokia.com>  Fri, 23 Oct 2009 13:01:29 +0300

gst-plugins-base0.10 (0.10.25-0maemo3) unstable; urgency=low

  * baseaudiosrc: Fix timestamp/base_time comparision. This caused severe
    timing problems when an audio source was added to a running pipeline.

 -- Rene Stadler <rene.stadler@nokia.com>  Fri, 16 Oct 2009 15:00:58 +0300

gst-plugins-base0.10 (0.10.25-0maemo2) unstable; urgency=low

  * Work around decoding problem for ID3-tagged quicktime files.
  * Fixes: NB#134099 - M4A Files are not played as ringtone, although can
    be selected

 -- Rene Stadler <rene.stadler@nokia.com>  Tue, 13 Oct 2009 14:20:10 +0300

gst-plugins-base0.10 (0.10.25-0maemo1) unstable; urgency=low

  * New upstream version.
  * Fixes: NB#136325 - Bad VoIP audio experience on receiver side
  * Fixes: NB#134936 - Add a 'prerolling-render' property to avoid
    rendering while prerolling
  * Add libcairo2-dev build dependency.

 -- Rene Stadler <rene.stadler@nokia.com>  Tue, 06 Oct 2009 13:04:24 +0300

gst-plugins-base0.10 (0.10.24-0maemo1) unstable; urgency=low

  * New upstream version.
  * Always build with -Wno-error.

 -- Rene Stadler <rene.stadler@nokia.com>  Tue, 15 Sep 2009 17:24:17 +0300

=== debian/control ===
Source: gst-plugins-base0.10
Section: libs
Priority: optional
Maintainer: Maemo Multimedia <multimedia@maemo.org>
Uploaders: David I. Lehn <dlehn@debian.org>, Loic Minier <lool@dooz.org>, Sebastien Bacher <seb128@debian.org>, Sebastian Dröge <slomo@debian.org>, Sjoerd Simons <sjoerd@debian.org>, Stefan Kost <stefan.kost@nokia.com>
Build-Depends: libgstreamer0.10-dev (>= 0.10.25), libasound2-dev (>= 0.9.0) [arm armel i386], autotools-dev, cdbs (>= 0.4.20), debhelper (>= 5), pkg-config (>= 0.11.0), libxv-dev (>= 6.8.2.dfsg.1-3), libosso-gnomevfs2-dev (>= 2.16.3-1), liboil0.3-dev (>= 0.3.8), libcairo2-dev, libpango1.0-dev, libglib2.0-dev (>= 2.2.0), libxml2-dev (>= 2.4.23), zlib1g-dev (>= 1:1.1.4), gtk-doc-tools, gstreamer-tools (>= 0.10.14)
Standards-Version: 3.8.0

Package: gstreamer0.10-plugins-base-apps
Architecture: any
Section: utils
Depends: ${misc:Depends}, ${perl:Depends}, gstreamer0.10-tools
Description: GStreamer helper programs from the "base" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains helper programs from the "base" set, an essential
 exemplary set of elements.

Package: gstreamer0.10-plugins-base-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: GStreamer documentation for plugins from the "base" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This packages contains documentation for plugins from the "base" set,
 an essential exemplary set of elements.

Package: libgstreamer-plugins-base0.10-0
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libvisual-0.4-plugins, gnome-app-install
Description: GStreamer libraries from the "base" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains libraries from the "base" set, an essential
 exemplary set of elements.

Package: libgstreamer-plugins-base0.10-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libgstreamer-plugins-base0.10-0 (= ${binary:Version}), libc6-dev | libc-dev, pkg-config, libgstreamer0.10-dev (>= 0.10.25), ${shlibs:Depends}, libglib2.0-dev, libxml2-dev
Description: GStreamer development files for libraries from the "base" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains development files for GStreamer libraries from
 the "base" set, an essential exemplary set of elements.

Package: libgstreamer-plugins-base0.10-0-dbg
Architecture: any
Section: libdevel
Priority: extra
Depends: libgstreamer-plugins-base0.10-0 (= ${binary:Version})
Description: Debug symbols for ALSA plugin
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package includes debug symbols for libgstreamer-plugins-base0.10-0.

Package: gstreamer0.10-alsa
Architecture: arm armel i386
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}, libgstreamer-plugins-base0.10-0 (>= 0.10.20)
Provides: gstreamer0.10-audiosink
Description: GStreamer plugin for ALSA
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains the GStreamer plugin for the ALSA library.  ALSA
 is the Advanced Linux Sound Architecture.

Package: gstreamer0.10-alsa-dbg
Architecture: any
Section: libdevel
Priority: extra
Depends: gstreamer0.10-alsa (= ${binary:Version})
Description: Debug symbols for ALSA plugin
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package includes debug symbols for ALSA plugin.

Package: gstreamer0.10-gnomevfs
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libgnomevfs2-extra
Description: GStreamer plugin for GnomeVFS
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains the GStreamer plugin to read from and write to
 GnomeVFS URIs.  GnomeVFS is the GNOME virtual file-system.

Package: gstreamer0.10-gnomevfs-dbg
Architecture: any
Section: libdevel
Priority: extra
Depends: gstreamer0.10-gnomevfs (= ${binary:Version})
Description: Debug symbols for GnomeVFS plugin
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package includes debug symbols for GnomeVFS plugin.

Package: gstreamer0.10-plugins-base
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}, libgstreamer-plugins-base0.10-0 (>= 0.10.20)
Provides: gstreamer0.10-colorspace
Description: GStreamer plugins from the "base" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains the GStreamer plugins from the "base" set, an
 essential exemplary set of elements.

Package: gstreamer0.10-plugins-base-dbg
Architecture: any
Section: libdevel
Priority: extra
Depends: gstreamer0.10-alsa (= ${binary:Version}), gstreamer0.10-gnomevfs (= ${binary:Version}), gstreamer0.10-plugins-base (= ${binary:Version}), gstreamer0.10-x (= ${binary:Version}), libgstreamer-plugins-base0.10-0 (= ${binary:Version})
Description: GStreamer plugins from the "base" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains unstripped shared libraries. It is provided primarily
 to provide a backtrace with names in a debugger, this makes it somewhat
 easier to interpret core dumps. The libraries are installed in
 /usr/lib/debug and are automatically used by gdb.

Package: gstreamer0.10-x
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}, libgstreamer-plugins-base0.10-0 (>= 0.10.20)
Provides: gstreamer0.10-videosink
Description: GStreamer plugins for X11
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains the GStreamer plugins for X11 video output, both
 for standard Xlib support and for the Xv extension.

Package: gstreamer0.10-x-dbg
Architecture: any
Section: libdevel
Priority: extra
Depends: gstreamer0.10-x (= ${binary:Version})
Description: Debug symbols for X11 plugins
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package includes debug symbols for X11 plugins.

Package: gstreamer0.10-plugins-base-extra
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Extra GStreamer plugins from the "base" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains the GStreamer plugins from the "base" set, an
 essential exemplary set of elements.

Package: gstreamer0.10-plugins-base-extra-dbg
Architecture: any
Section: libdevel
Priority: extra
Depends: gstreamer0.10-plugins-base-extra (= ${binary:Version})
Description: Extra GStreamer plugins from the "base" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains unstripped shared libraries. It is provided primarily
 to provide a backtrace with names in a debugger, this makes it somewhat
 easier to interpret core dumps. The libraries are installed in
 /usr/lib/debug and are automatically used by gdb.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk

LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

CFLAGS += -Wno-error

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
    CFLAGS += -O0
else
    CFLAGS += -O2
endif

# enable NEON support when building for ARM
DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
ifneq (,$(findstring arm,$(DEB_BUILD_ARCH)))
    CFLAGS += -mfpu=neon
endif

ifeq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
    CFLAGS += -DG_DISABLE_CAST_CHECKS -DGST_DISABLE_GST_DEBUG=1
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    MAKEFLAGS += -j$(NUMJOBS)
endif

#DEB_MAKE_CHECK_TARGET = check || true

# upstream version with epoch
gst_version := $(shell echo $(DEB_VERSION) | cut -d '-' -f 1)
gst_major := 0
gst_minor := 10
gst_abi := $(gst_major).$(gst_minor)
# gstreamer library package names
gst_lib := libgstreamer$(gst_abi)-0
gst_lib_dev := libgstreamer$(gst_abi)-dev
# what gstreamer version is needed
gst_lib_dev_dep := $(gst_lib_dev) (>= 0.10.22)

gst_pkgname := gstreamer$(gst_abi)
gst_deb_abi := $(gst_abi)-0

# gst-plugins-base library package names
gst_plugins_base_lib := libgstreamer-plugins-base$(gst_deb_abi)
gst_plugins_base_lib_dev := libgstreamer-plugins-base$(gst_abi)-dev
# gst-plugins-base library shlibs
gst_plugins_base_lib_dep := "$(gst_plugins_base_lib) (>= $(gst_version))"

gst_extra_build_depends += libasound2-dev (>= 0.9.0) [@linux@]

# debug package
DEB_DH_STRIP_ARGS += --dbg-package=$(gst_pkgname)-plugins-base-dbg

DEB_COMPRESS_EXCLUDE = .sgml .devhelp .ps .pdf

# disable all CPU specific optimizations in commands launched by this Makefile
# using liboil; this is to work around liboil related build failures which
# are not specially interesting to catch on buildds as these might run very
# specific hardware
OIL_CPU_FLAGS := 0
export OIL_CPU_FLAGS

# The plugins are basically the same.
# Link special names to a template file.
# still need "*.install" to be done by hand

PLUGINS += gnomevfs plugins-base x alsa plugins-base-extra
VERSIONIZE += \
	plugins-base-apps.install \
	plugins-base-apps.manpages \
	plugins-base-doc.install \

ifeq ($(DEB_HOST_ARCH_OS),linux)
video4linux := debian/tmp/usr/lib/gstreamer-$(gst_abi)/libgstvideo4linux.so
endif

# setup links for packages
pre-build::
	for p in $(PLUGINS); do \
		rm -f debian/$(gst_pkgname)-$$p.install; \
		cat debian/gstreamer-$$p.install | \
			sed 's/@GST_ABI@/$(gst_abi)/g' \
			| sed "s,@video4linux@,$(video4linux),g" \
			>debian/$(gst_pkgname)-$$p.install; \
	done
	for f in $(VERSIONIZE); do \
		cat debian/gstreamer-$$f | \
			sed 's/@GST_ABI@/$(gst_abi)/g' \
			>debian/$(gst_pkgname)-$$f; \
	done
	rm -f debian/libgstreamer-plugins-base$(gst_deb_abi).install
	cat debian/libgstreamer-plugins-base.install | \
		sed 's/@GST_ABI@/$(gst_abi)/g' \
		>debian/libgstreamer-plugins-base$(gst_deb_abi).install
	rm -f debian/libgstreamer-plugins-base$(gst_deb_abi).symbols
	cp debian/libgstreamer-plugins-base.symbols \
		debian/libgstreamer-plugins-base$(gst_deb_abi).symbols
	rm -f debian/libgstreamer-plugins-base$(gst_abi)-dev.install
	cat debian/libgstreamer-plugins-base-dev.install | \
		sed 's/@GST_ABI@/$(gst_abi)/g' \
		>debian/libgstreamer-plugins-base$(gst_abi)-dev.install

maint: debian/control

debian/stamp-autogen:
	./autogen.sh --noconfigure
	touch $@

post-patches:: debian/stamp-autogen

debian/build-deps: debian/build-deps.in debian/rules
	cat $< >$@

debian/control:: debian/control.in debian/build-deps debian/mk.control debian/rules debian/changelog force
	perl debian/mk.control | \
		sed 's/@GST_VERSION@/$(gst_version)/g' | \
		sed 's/@GST_ABI@/$(gst_abi)/g' | \
		sed 's/@GST_PKGNAME@/$(gst_pkgname)/g' | \
		sed 's/@GST_LIB@/$(gst_lib)/g' | \
		sed 's/@GST_LIB_DEV@/$(gst_lib_dev)/g' | \
		sed 's/@GST_LIB_DEV_DEP@/$(gst_lib_dev_dep)/g' | \
		sed 's/@GST_PLUGINS_BASE_LIB@/$(gst_plugins_base_lib)/g' | \
		sed 's/@GST_PLUGINS_BASE_LIB_DEV@/$(gst_plugins_base_lib_dev)/g' | \
		sed "s/@GST_EXTRA_BUILD_DEPENDS@/$(gst_extra_build_depends)/g" | \
		sed "s/@linux@/`type-handling any linux-gnu`/g" >$@

DEB_CONFIGURE_EXTRA_FLAGS += \
	--disable-shave \
	--disable-failing-tests \
	--disable-nls \
	--enable-DEBUG \
	--enable-debug \
	--enable-experimental \
	--with-audioresample-format=int \
	--with-package-name=$(GST_PACKAGE_NAME) \
	--with-package-origin=$(GST_PACKAGE_ORIGIN) \
	--with-install-plugins-helper="/usr/bin/gstreamer-codec-install"

# only build the docs on arches which can
ifeq (,$(findstring $(DEB_HOST_ARCH),m68k arm))
DEB_CONFIGURE_EXTRA_FLAGS += --enable-gtk-doc
endif

clean::
	# get rid of the symlinks
	for i in $(PLUGINS); do \
		rm -f debian/$(gst_pkgname)-$$i.install; \
		rm -f debian/$(gst_pkgname)-$$i.preinst; \
	done
	for f in $(VERSIONIZE); do \
		rm -f debian/$(gst_pkgname)-$$f; \
	done
	rm -f debian/libgstreamer-plugins-base$(gst_deb_abi).install
	rm -f debian/libgstreamer-plugins-base$(gst_deb_abi).symbols
	rm -f debian/libgstreamer-plugins-base$(gst_abi)-dev.install

binary-post-install/$(gst_pkgname)-plugins-base-apps::
	dh_perl

DEB_DH_MAKESHLIBS_ARGS_$(gst_plugins_base_lib) += -V $(gst_plugins_base_lib_dep) -- -c4
DEB_INSTALL_DOCS_ALL += debian/README.Debian NEWS
DEB_SHLIBDEPS_INCLUDE += debian/libgstreamer-plugins-base$(gst_deb_abi)/usr/lib
# Disable inclusion of large upstream ChangeLog
DEB_INSTALL_CHANGELOGS_ALL :=

# override shlibs for libraries from this source before computing dependencies
# of packages generated from this source; we already have inter-dependencies
# expressed manually in the control file, we do not need the shlibs to add
# duplicates
# (this rule runs just before the dh_shlibdeps)
common-binary-fixup-arch::
	mkdir -p $(CURDIR)/fake-home
	HOME=$(CURDIR)/fake-home \
	LD_LIBRARY_PATH=debian/libgstreamer-plugins-base0.10-0/usr/lib:$(LD_LIBRARY_PATH) \
	    dh_gstscancodecs
	-rm -f debian/shlibs.local
	rm -rf $(CURDIR)/fake-home
	cat debian/*/DEBIAN/shlibs | \
		sed -n -r -e 's/(([^ ]+: )?([^ ]+) ([^ ]+)) .*/\1/p' \
			>debian/shlibs.local

# (this rules runs just after the dh_shlibdeps)
common-binary-predeb-arch::
	-rm -f debian/shlibs.local

force:

.PHONY: maint force

UPSTREAM_REF=master
PATCHES_REF=maemo-patches

update-patch-series:
	mkdir -p $(CURDIR)/debian/patches
	rm -f $(CURDIR)/debian/patches/*.patch
	git format-patch -o $(CURDIR)/debian/patches $(PATCHES_REF) ^$(UPSTREAM_REF) | \
		xargs -n 1 basename > $(CURDIR)/debian/patches/series
	for patch in $$(ls $(CURDIR)/debian/patches/*.patch) ; \
	do \
		lines=$$(cat $$patch | wc -l) ; \
		head -n $$(($$lines - 3)) $$patch > $${patch}.chomped ; \
		mv $${patch}.chomped $$patch ; \
	done

update-common: COMMIT := $(shell git rev-parse $(shell git rev-parse --verify MERGE_HEAD || git merge-base $(UPSTREAM_REF) HEAD):common)
update-common:
	@if ! git diff-files --ignore-submodules --quiet common || \
		! git diff-index --ignore-submodules --cached --quiet HEAD -- common; then \
			echo "your common/ directory state is dirty"; \
			exit 1; \
		fi
	if test -d $(CURDIR)/common ; then rm -rfv $(CURDIR)/common ; git rm -r --cached --ignore-unmatch $(CURDIR)/common ; fi
	git clone -n git://anongit.freedesktop.org/gstreamer/common $(CURDIR)/common
	cd $(CURDIR)/common && git checkout -f $(COMMIT)
	rm -rfv $(CURDIR)/common/.git
	git add $(CURDIR)/common
	@echo "common update to $(COMMIT) staged, git commit to proceed"

## gst-plugins-base0.10 0.10.25-0maemo14+0m5

=== debian/changelog ===
gst-plugins-base0.10 (0.10.25-0maemo14+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Huaming Wang <huaming.wang@nokia.com>  Tue, 16 Feb 2010 16:22:14 +0200

gst-plugins-base0.10 (0.10.25-0maemo14) unstable; urgency=low

  * uridecodebin: Fix leaking of queue and typefinder elements.
  * playbin2: Fix leaking of selector request pads.
  * Helps NB#139441 - Memory leak in mafw-dbus-wrapper with Mp3 playback
    over UPnP

 -- Rene Stadler <rene.stadler@nokia.com>  Mon, 15 Feb 2010 20:03:01 +0200

gst-plugins-base0.10 (0.10.25-0maemo13) unstable; urgency=low

  * basertppayload: Reject empty caps.

 -- Rene Stadler <rene.stadler@nokia.com>  Fri, 22 Jan 2010 18:28:49 +0200

gst-plugins-base0.10 (0.10.25-0maemo12) unstable; urgency=low

  * basertppayload: Change ptime to be in nanoseconds instead of
    milliseconds and change data type to unsigned integer.

 -- Rene Stadler <rene.stadler@nokia.com>  Thu, 21 Jan 2010 15:17:59 +0200

gst-plugins-base0.10 (0.10.25-0maemo11) unstable; urgency=low

  * tagreadbin: Fix possible deadlock on shutdown.
  * Fixes: NB#153179 - deadlock in tagreadbin

 -- Rene Stadler <rene.stadler@nokia.com>  Fri, 15 Jan 2010 15:26:25 +0200

gst-plugins-base0.10 (0.10.25-0maemo10) unstable; urgency=low

  * basertpaudiopayload: Respecet ptime if it is given
  * rtpbasepayload: Store ptime from caps
  * basertppayload: Accept maxptime from caps
  * Fixes: NB#152494 - Import ptime/maxptime patches in gst-p-base/good

 -- Harri Mähönen <ext-harri.mahonen@nokia.com>  Fri, 08 Jan 2010 13:02:49 +0200

gst-plugins-base0.10 (0.10.25-0maemo9) unstable; urgency=low

  * xvimagesink: Add disable-colorkey property.
  * Fixes: NB#128210 - Xv video sink should be able to disable color
    keying

 -- Rene Stadler <rene.stadler@nokia.com>  Mon, 21 Dec 2009 20:19:57 +0200

gst-plugins-base0.10 (0.10.25-0maemo8) unstable; urgency=low

  * playsink: fix playback of videos with subtitles when subtitles are
    disabled
  * Fixes: NB#149693 - m4a podcast with subtitles fails to play with
    playbin2 flags=99

 -- Rene Stadler <rene.stadler@nokia.com>  Wed, 09 Dec 2009 15:48:30 +0200

## gst-plugins-base0.10 0.10.25-0maemo14+0m5+0cssu0+thumb0

=== tests/benchmarks/Makefile ===
# Makefile.in generated by automake 1.8.5 from Makefile.am.
# tests/benchmarks/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



SOURCES = startup.c

srcdir = .
top_srcdir = ../..

pkgdatadir = $(datadir)/gst-plugins-base
pkglibdir = $(libdir)/gst-plugins-base
pkgincludedir = $(includedir)/gst-plugins-base
top_builddir = ../..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /scratchbox/tools/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = arm-unknown-linux-gnueabi
noinst_PROGRAMS = startup$(EXEEXT)
subdir = tests/benchmarks
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/common/m4/as-ac-expand.m4 \
	$(top_srcdir)/common/m4/as-auto-alt.m4 \
	$(top_srcdir)/common/m4/as-compiler-flag.m4 \
	$(top_srcdir)/common/m4/as-libtool.m4 \
	$(top_srcdir)/common/m4/as-python.m4 \
	$(top_srcdir)/common/m4/as-scrub-include.m4 \
	$(top_srcdir)/common/m4/as-version.m4 \
	$(top_srcdir)/common/m4/ax_create_stdint_h.m4 \
	$(top_srcdir)/common/m4/gst-arch.m4 \
	$(top_srcdir)/common/m4/gst-args.m4 \
	$(top_srcdir)/common/m4/gst-check.m4 \
	$(top_srcdir)/common/m4/gst-default.m4 \
	$(top_srcdir)/common/m4/gst-error.m4 \
	$(top_srcdir)/common/m4/gst-feature.m4 \
	$(top_srcdir)/common/m4/gst-function.m4 \
	$(top_srcdir)/common/m4/gst-gettext.m4 \
	$(top_srcdir)/common/m4/gst-glib2.m4 \
	$(top_srcdir)/common/m4/gst-plugin-docs.m4 \
	$(top_srcdir)/common/m4/gst-plugindir.m4 \
	$(top_srcdir)/common/m4/gst-x11.m4 \
	$(top_srcdir)/common/m4/gst.m4 \
	$(top_srcdir)/common/m4/gtk-doc.m4 \
	$(top_srcdir)/common/m4/introspection.m4 \
	$(top_srcdir)/common/m4/pkg.m4 \
	$(top_srcdir)/common/m4/shave.m4 $(top_srcdir)/m4/freetype2.m4 \
	$(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/gst-alsa.m4 \
	$(top_srcdir)/m4/gst-fionread.m4 $(top_srcdir)/m4/iconv.m4 \
	$(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
	$(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/lrint.m4 $(top_srcdir)/m4/lrintf.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/ogg.m4 \
	$(top_srcdir)/m4/po.m4 $(top_srcdir)/m4/progtest.m4 \
	$(top_srcdir)/m4/vorbis.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
PROGRAMS = $(noinst_PROGRAMS)
startup_SOURCES = startup.c
startup_OBJECTS = startup.$(OBJEXT)
startup_LDADD = $(LDADD)
am__DEPENDENCIES_1 =
startup_DEPENDENCIES = $(am__DEPENDENCIES_1)
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
#DEP_FILES = ./$(DEPDIR)/startup.Po
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = startup.c
DIST_SOURCES = startup.c
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/maemo/workspace/thumb/T-maemo5.1-thumb3/gst-plugins-base0.10-0.10.25/missing --run aclocal-1.8
ACLOCAL_AMFLAGS = -I m4 -I common/m4
ALSA_CFLAGS = -I/usr/include/alsa  
ALSA_LIBS = -lasound  
AMDEP_FALSE = 
AMDEP_TRUE = #
AMTAR = ${SHELL} /home/maemo/workspace/thumb/T-maemo5.1-thumb3/gst-plugins-base0.10-0.10.25/missing --run tar
AM_MAKEFLAGS = 
AR = ar
AS = as
AUDIORESAMPLE_FORMAT_AUTO = 
AUDIORESAMPLE_FORMAT_FLOAT = 
AUDIORESAMPLE_FORMAT_INT = 
AUDIORESAMPLE_NEEDS_LIBOIL_FALSE = 
AUDIORESAMPLE_NEEDS_LIBOIL_TRUE = #
AUTOCONF = ${SHELL} /home/maemo/workspace/thumb/T-maemo5.1-thumb3/gst-plugins-base0.10-0.10.25/missing --run autoconf
AUTOHEADER = ${SHELL} /home/maemo/workspace/thumb/T-maemo5.1-thumb3/gst-plugins-base0.10-0.10.25/missing --run autoheader
AUTOMAKE = ${SHELL} /home/maemo/workspace/thumb/T-maemo5.1-thumb3/gst-plugins-base0.10-0.10.25/missing --run automake-1.8
AWK = gawk
BUILD_EXAMPLES_FALSE = #
BUILD_EXAMPLES_TRUE = 
BUILD_EXPERIMENTAL_FALSE = #
BUILD_EXPERIMENTAL_TRUE = 
BUILD_EXTERNAL_FALSE = #
BUILD_EXTERNAL_TRUE = 
CC = cc
CCASFLAGS = 
CCDEPMODE = depmode=none
CDPARANOIA_LIBS = 
CFLAGS = -g -Wall -O2 -Wno-error -std=gnu89 -O2 -mfpu=neon -mthumb -DG_DISABLE_CAST_CHECKS -DGST_DISABLE_GST_DEBUG=1
CPP = cc -E
CPPFLAGS = 
CXX = g++
CXXFLAGS = -g -Wall -O2
CYGPATH_W = echo
DEFAULT_AUDIOSINK = autoaudiosink
DEFAULT_AUDIOSRC = alsasrc
DEFAULT_VIDEOSINK = autovideosink
DEFAULT_VIDEOSRC = v4l2src
DEFAULT_VISUALIZER = goom
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DEPRECATED_CFLAGS = 
DLLTOOL = dlltool
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
ENABLE_GTK_DOC_FALSE = #
ENABLE_GTK_DOC_TRUE = 
ENABLE_PLUGIN_DOCS_FALSE = #
ENABLE_PLUGIN_DOCS_TRUE = 
ERROR_CFLAGS = -Wall -Wdeclaration-after-statement -Wvla -Wpointer-arith
EXEEXT = 
F77 = 
FC = 
FFLAGS = 
FGREP = /scratchbox/tools/bin/grep -F
FT2_CFLAGS = -I/usr/include/freetype2  
FT2_CONFIG = 
FT2_LIBS = -lfreetype  
GCOV = 
GCOV_CFLAGS = 
GCOV_LIBS = 
GETTEXT_PACKAGE = NULL
GIO_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
GIO_LDFLAGS = 
GIO_LIBS = -lgio-2.0 -lgobject-2.0 -lgmodule-2.0 -lglib-2.0  
GLIB_CFLAGS = -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include
GLIB_LIBS = -pthread -lgobject-2.0 -lgthread-2.0 -lrt -lgmodule-2.0 -lglib-2.0  
GLIB_PREFIX = /usr
GLIB_REQ = 2.16
GMSGFMT = /scratchbox/tools/bin/msgfmt
GNOME_VFS_CFLAGS = -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
GNOME_VFS_LIBS = -pthread -lgnomevfs-2 -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0  
GREP = /scratchbox/tools/bin/grep
GST_AGE = 18
GST_ALL_LDFLAGS = -no-undefined
GST_BASE_CFLAGS = -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2  
GST_BASE_LIBS = -pthread -lgstbase-0.10 -lgstreamer-0.10 -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lxml2 -lglib-2.0  
GST_CFLAGS = -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2   $(GST_OPTION_CFLAGS)
GST_CHECK_CFLAGS = -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2  
GST_CHECK_LIBS = -pthread -lgstcheck-0.10 -lm -lgstreamer-0.10 -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lxml2 -lglib-2.0  
GST_CONTROLLER_CFLAGS = -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2  
GST_CONTROLLER_LIBS = -pthread -lgstcontroller-0.10 -lgstreamer-0.10 -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lxml2 -lglib-2.0  
GST_CURRENT = 18
GST_DISABLE_ALLOC_TRACE = 0
GST_DISABLE_GST_DEBUG = 1
GST_DISABLE_LOADSAVE = 0
GST_DISABLE_PARSE = 0
GST_DISABLE_PLUGIN = 0
GST_DISABLE_REGISTRY = 0
GST_DISABLE_TRACE = 0
GST_DISABLE_XML = 0
GST_GCOV_ENABLED_FALSE = 
GST_GCOV_ENABLED_TRUE = #
GST_GDP_CFLAGS = -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2  
GST_GDP_LIBS = -pthread -lgstdataprotocol-0.10 -lgstreamer-0.10 -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lxml2 -lglib-2.0  
GST_INSTALL_PLUGINS_HELPER = /usr/bin/gstreamer-codec-install
GST_LEVEL_DEFAULT = GST_LEVEL_NONE
GST_LIBS = -pthread -lgstreamer-0.10 -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lxml2 -lglib-2.0   $(GCOV_LIBS)
GST_LIBVERSION = 18:0:18
GST_LIB_LDFLAGS = -export-symbols-regex ^_?\(gst_\|Gst\|GST_\).*
GST_LICENSE = LGPL
GST_LT_LDFLAGS =  -version-info 18:0:18
GST_MAJORMINOR = 0.10
GST_OPTION_CFLAGS = $(ERROR_CFLAGS) $(DEBUG_CFLAGS) $(PROFILE_CFLAGS) $(GCOV_CFLAGS) $(OPT_CFLAGS) $(DEPRECATED_CFLAGS)
GST_PACKAGE_NAME = 
GST_PACKAGE_ORIGIN = 
GST_PLUGINS_ALL =  adder app audioconvert audiorate audiotestsrc ffmpegcolorspace gdp playback audioresample subparse tagreading tcp typefind videotestsrc videorate videoscale volume
GST_PLUGINS_BASE_CFLAGS = -I$(top_srcdir)/gst-libs -I$(top_builddir)/gst-libs
GST_PLUGINS_DIR = /usr/lib/gstreamer-0.10
GST_PLUGINS_SELECTED =  adder app audioconvert audiorate audiotestsrc ffmpegcolorspace gdp playback audioresample subparse tagreading tcp typefind videotestsrc videorate videoscale volume
GST_PLUGIN_LDFLAGS = -module -avoid-version -export-symbols-regex '^_*gst_plugin_desc$$' -no-undefined
GST_PREFIX = /usr
GST_REVISION = 0
GST_TOOLS_DIR = /usr/bin
GTKDOC_CHECK = /usr/bin/gtkdoc-check
GTK_CFLAGS = -DMAEMO_CHANGES -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12  
GTK_DOC_USE_LIBTOOL_FALSE = #
GTK_DOC_USE_LIBTOOL_TRUE = 
GTK_LIBS = -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lglib-2.0  
GTK_X11_CFLAGS = -DMAEMO_CHANGES -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12  
GTK_X11_LIBS = -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lglib-2.0  
GUDEV_CFLAGS = 
GUDEV_LIBS = 
HAVE_CDPARANOIA = no
HAVE_CPU_ALPHA_FALSE = 
HAVE_CPU_ALPHA_TRUE = #
HAVE_CPU_ARM_FALSE = #
HAVE_CPU_ARM_TRUE = 
HAVE_CPU_CRISV32_FALSE = 
HAVE_CPU_CRISV32_TRUE = #
HAVE_CPU_CRIS_FALSE = 
HAVE_CPU_CRIS_TRUE = #
HAVE_CPU_HPPA_FALSE = 
HAVE_CPU_HPPA_TRUE = #
HAVE_CPU_I386_FALSE = 
HAVE_CPU_I386_TRUE = #
HAVE_CPU_IA64_FALSE = 
HAVE_CPU_IA64_TRUE = #
HAVE_CPU_M68K_FALSE = 
HAVE_CPU_M68K_TRUE = #
HAVE_CPU_MIPS_FALSE = 
HAVE_CPU_MIPS_TRUE = #
HAVE_CPU_PPC64_FALSE = 
HAVE_CPU_PPC64_TRUE = #
HAVE_CPU_PPC_FALSE = 
HAVE_CPU_PPC_TRUE = #
HAVE_CPU_S390_FALSE = 
HAVE_CPU_S390_TRUE = #
HAVE_CPU_SPARC_FALSE = 
HAVE_CPU_SPARC_TRUE = #
HAVE_CPU_X86_64_FALSE = 
HAVE_CPU_X86_64_TRUE = #
HAVE_FT2_FALSE = #
HAVE_FT2_TRUE = 
HAVE_GST_CHECK_FALSE = #
HAVE_GST_CHECK_TRUE = 
HAVE_GTK_FALSE = #
HAVE_GTK_TRUE = 
HAVE_GTK_X11_FALSE = #
HAVE_GTK_X11_TRUE = 
HAVE_INTROSPECTION_FALSE = 
HAVE_INTROSPECTION_TRUE = #
HAVE_LIBXML_HTML_FALSE = #
HAVE_LIBXML_HTML_TRUE = 
HAVE_SYS_SOCKET_H_FALSE = #
HAVE_SYS_SOCKET_H_TRUE = 
HAVE_VALGRIND_FALSE = 
HAVE_VALGRIND_TRUE = #
HAVE_X = yes
HAVE_XSHM = yes
HSTRERROR_LIBS = 
HTML_DIR = ${datadir}/gtk-doc/html
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}

=== debian/changelog ===
gst-plugins-base0.10 (0.10.25-0maemo14+0m5+0cssu0+thumb0) unstable; urgency=low

  * Thumb2 compile

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Wen, 03 Oct 2012 16:00:43 +0300

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Package: gstreamer0.10-plugins-base-apps
 Architecture: any
 Section: utils
-Depends: ${misc:Depends}, ${perl:Depends}, gstreamer0.10-tools
+Depends: ${misc:Depends}, ${perl:Depends}, gstreamer0.10-tools, kernel-feature-errata-430973-workaround [armel]
 Description: GStreamer helper programs from the "base" set
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do
@@ -39,7 +39,7 @@
 Package: libgstreamer-plugins-base0.10-0
 Architecture: any
 Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, kernel-feature-errata-430973-workaround [armel]
 Suggests: libvisual-0.4-plugins, gnome-app-install
 Description: GStreamer libraries from the "base" set
  GStreamer is a streaming media framework, based on graphs of filters
@@ -85,7 +85,7 @@
 Package: gstreamer0.10-alsa
 Architecture: arm armel i386
 Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}, libgstreamer-plugins-base0.10-0 (>= 0.10.20)
+Depends: ${misc:Depends}, ${shlibs:Depends}, libgstreamer-plugins-base0.10-0 (>= 0.10.20), kernel-feature-errata-430973-workaround [armel]
 Provides: gstreamer0.10-audiosink
 Description: GStreamer plugin for ALSA
  GStreamer is a streaming media framework, based on graphs of filters
@@ -116,7 +116,7 @@
 Package: gstreamer0.10-gnomevfs
 Architecture: any
 Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, kernel-feature-errata-430973-workaround [armel]
 Recommends: libgnomevfs2-extra
 Description: GStreamer plugin for GnomeVFS
  GStreamer is a streaming media framework, based on graphs of filters
@@ -147,7 +147,7 @@
 Package: gstreamer0.10-plugins-base
 Architecture: any
 Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}, libgstreamer-plugins-base0.10-0 (>= 0.10.20)
+Depends: ${misc:Depends}, ${shlibs:Depends}, libgstreamer-plugins-base0.10-0 (>= 0.10.20), kernel-feature-errata-430973-workaround [armel]
 Provides: gstreamer0.10-colorspace
 Description: GStreamer plugins from the "base" set
  GStreamer is a streaming media framework, based on graphs of filters
@@ -181,7 +181,7 @@
 Package: gstreamer0.10-x
 Architecture: any
 Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}, libgstreamer-plugins-base0.10-0 (>= 0.10.20)
+Depends: ${misc:Depends}, ${shlibs:Depends}, libgstreamer-plugins-base0.10-0 (>= 0.10.20), kernel-feature-errata-430973-workaround [armel]
 Provides: gstreamer0.10-videosink
 Description: GStreamer plugins for X11
  GStreamer is a streaming media framework, based on graphs of filters
@@ -212,7 +212,7 @@
 Package: gstreamer0.10-plugins-base-extra
 Architecture: any
 Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, kernel-feature-errata-430973-workaround [armel]
 Description: Extra GStreamer plugins from the "base" set
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
 
-CFLAGS += -Wno-error
+CFLAGS += -Wno-error -std=gnu89
 
 ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
     CFLAGS += -O0
@@ -19,6 +19,10 @@
 DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 ifneq (,$(findstring arm,$(DEB_BUILD_ARCH)))
     CFLAGS += -mfpu=neon
+endif
+
+ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
+	CFLAGS := $(CFLAGS) -mthumb
 endif
 
 ifeq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
